{% extends "include/base.html" %}

{% block title %} Accueil {% endblock %} 

{% block body_class %}{% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="page-wrapper">
  <!-- Bandeau -->
  <div class="container-xl">
    <div class="page-header d-print-none">
      <div class="row align-items-center">
        <!-- Page title -->
        <div class="col">
          <div class="page-pretitle">
            Monitor
          </div>
          <h2 class="page-title">
            Vue générale
          </h2>
        </div><!-- end title col -->
        
        <!-- Page title 1st action -->
        <div class="col-auto ms-auto d-print-none">
          <div class="btn-list dropdown">
            <a href="{% url 'module-create' %}" class="btn btn-primary d-none d-sm-inline-block dropdown-toggle" data-bs-toggle="dropdown" data-bs-target="#modal-report" aria-label="Ajouter un participant" aria-haspopup="true" aria-expanded="false">
              <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
                Ajouter un participant
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="{% url 'user-create' %}"> Étudiant</a>
              <a class="dropdown-item" href="{% url 'user-create' %}"> Évaluateur</a>
              <a class="dropdown-item" href="{% url 'partner-create' %}"> Partenaire</a>
            </div>
          </div><!-- end dropdown   button -->
        </div><!-- end 1st action -->

        <!-- Page title 2nd action -->
        <div class="col-auto ms-auto d-print-none">
          <div class="btn-list dropdown">
            <a href="{% url 'module-create' %}" class="btn btn-primary d-none d-sm-inline-block dropdown-toggle" data-bs-toggle="dropdown" data-bs-target="#modal-report" aria-label="Construire un module" aria-haspopup="true" aria-expanded="false">
              <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
                Construire un module
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="{% url 'user-create' %}"> Étudiant</a>
              <a class="dropdown-item" href="{% url 'partner-create' %}"> Partenaire</a>
              <a class="dropdown-item" href="{% url 'module-create' %}"> Module</a>
              <a class="dropdown-item" href="{% url 'skill-create' %}"> Compétence</a>
              <a class="dropdown-item" href="{% url 'challenge-create' %}"> Challenge</a>
            </div>
          </div><!-- end dropdown   button -->
        </div><!-- end 2nd action -->

                <!-- Page title 3rd action -->
        <div class="col-auto ms-auto d-print-none">
          <div class="btn-list dropdown">
            <a href="{% url 'parcours-create' %}" class="btn btn-primary d-none d-sm-inline-block dropdown-toggle" data-bs-toggle="dropdown" data-bs-target="#modal-report" aria-label="Construire un parcours" aria-haspopup="true" aria-expanded="false">
              <!-- Download SVG icon from http://tabler-icons.io/i/plus -->
              <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><line x1="12" y1="5" x2="12" y2="19" /><line x1="5" y1="12" x2="19" y2="12" /></svg>
                Construire un parcours
            </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="{% url 'parcours-create' %}"> Parcours</a>
              <a class="dropdown-item" href="{% url 'workshop-create' %}"> Atelier</a>
              <a class="dropdown-item" href="{% url 'mission-create' %}"> Mission</a>
              <a class="dropdown-item" href="{% url 'eval-create' %}"> Évaluation</a>
              <a class="dropdown-item" href="{% url 'session-create' %}"> Session</a>
            </div>
          </div><!-- end dropdown   button -->
        </div><!-- end 3rd action action -->
      </div>
    </div>
  </div><!-- end bandeau -->

  <div class="page-body">
          <div class="container-xl">
            <div class="row row-deck row-cards">
              
              {% for s, stat in stats.items %}
              <div class="col-sm-6 col-lg-4">
                <div class="card">
                  <div class="card-body">
                    <div class="d-flex align-items-center">
                      <div class="header">{{ stat.name }}</div>
                      <div class="ms-auto lh-1">
                        <span class="text-muted">Objectif: {{ stat.objectif }}</span>
                      </div>
                    </div>
                    <div class="h1 mb-3">{{ stat.num }}</div>
                    <div class="d-flex mb-2">
                    </div>
                    <div class="mb-2">
                      <div>{{ stat.desc }}</div>
                      <div class="ms-auto">
                        <span class="text-green d-inline-flex align-items-center lh-1">
                          {{ stat.percent }}% 
                          <!-- Download SVG icon from http://tabler-icons.io/i/trending-up -->
                          <svg xmlns="http://www.w3.org/2000/svg" class="icon ms-1" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><polyline points="3 17 9 11 13 15 21 7" /><polyline points="14 7 21 7 21 14" /></svg>
                        </span>
                      </div>
                    </div>
                    <div class="progress progress-sm">
                      <div class="progress-bar bg-blue" style="width: {{ stat.percent }}%" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100">
                        <span class="visually-hidden">{{ stat.percent }}% Complete</span>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            {% endfor %}

</div>
{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}{% endblock javascripts %}
